diff a/src/java.base/share/classes/java/lang/classfile/Attributes.java b/src/java.base/share/classes/java/lang/classfile/Attributes.java
--- a/src/java.base/share/classes/java/lang/classfile/Attributes.java
+++ b/src/java.base/share/classes/java/lang/classfile/Attributes.java
@@ -51,10 +51,11 @@
  * <li>{@link #compilationId()}
  * <li>{@link #constantValue()}
  * <li>{@link #enclosingMethod()}
  * <li>{@link #exceptions()}
  * <li>{@link #innerClasses()}
+ * <li>{@link #loadableDescriptors()}
  * <li>{@link #methodParameters()}
  * <li>{@link #module()}
  * <li>{@link #moduleHashes()}
  * <li>{@link #moduleMainClass()}
  * <li>{@link #modulePackages()}
@@ -124,10 +125,13 @@
     public static final String NAME_INNER_CLASSES = "InnerClasses";
 
     /** LineNumberTable */
     public static final String NAME_LINE_NUMBER_TABLE = "LineNumberTable";
 
+    /** LoadableDescriptors */
+    public static final String NAME_LOADABLE_DESCRIPTORS = "LoadableDescriptors";
+
     /** LocalVariableTable */
     public static final String NAME_LOCAL_VARIABLE_TABLE = "LocalVariableTable";
 
     /** LocalVariableTypeTable */
     public static final String NAME_LOCAL_VARIABLE_TYPE_TABLE = "LocalVariableTypeTable";
@@ -293,10 +297,18 @@
      */
     public static AttributeMapper<LineNumberTableAttribute> lineNumberTable() {
         return LineNumberTableMapper.INSTANCE;
     }
 
+    /**
+     * {@return Attribute mapper for the {@code LoadableDescriptors} attribute}
+     * @since 23
+     */
+    public static AttributeMapper<LoadableDescriptorsAttribute> loadableDescriptors() {
+        return LoadableDescriptorsMapper.INSTANCE;
+    }
+
     /**
      * {@return Attribute mapper for the {@code LocalVariableTable} attribute}
      * The mapper permits multiple instances in a given location.
      * @since 23
      */
